package com.fs.his.service;

import com.fs.his.domain.FsDoctorPrescribeCommon;
import com.fs.his.param.FsDoctorPrescribeCommonQueryParam;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * 医生常用语Service接口
 */
public interface IFsDoctorPrescribeCommonService {

    /**
     * 分页查询常用语列表
     */
    PageInfo<FsDoctorPrescribeCommon> getList(FsDoctorPrescribeCommonQueryParam query);

    /**
     * 根据ID查询
     */
    FsDoctorPrescribeCommon getById(Long commonId);

    /**
     * 新增
     */
    int save(FsDoctorPrescribeCommon common);

    /**
     * 修改
     */
    int update(FsDoctorPrescribeCommon common);

    /**
     * 删除（单条）
     */
    int removeById(Long commonId);

    /**
     * 批量删除
     */
    int removeByIds(Long[] commonIds);
}